Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 756946

Summary: net-analyzer/arping-2.21: stablereq
Product: Gentoo Linux Reporter: Aaron Bauman <bman>
Component: StabilizationAssignee: Netmon Herd <netmon>
Status: RESOLVED FIXED    
Severity: enhancement CC: fedora.dm0, kfm
Priority: Normal Keywords: CC-ARCHES
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
net-analyzer/arping-2.21
Runtime testing required: ---
Bug Depends on: 757090    
Bug Blocks: 698100    

Description Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2020-11-26 20:51:13 UTC
Please stabilize.
Comment 1 Matt Turner gentoo-dev 2020-12-31 16:47:43 UTC
hppa -> ~hppa
Comment 2 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2021-01-25 19:47:23 UTC
Dependent bug for test failures has been fixed. Please proceed arch teams.
Comment 3 Thomas Deutschmann gentoo-dev Security 2021-02-03 23:55:55 UTC
x86 stable
Comment 4 Sergei Trofimovich (RETIRED) gentoo-dev 2021-02-25 08:55:01 UTC
sparc stable
Comment 5 ernsteiswuerfel archtester 2021-03-06 20:05:44 UTC
Looking good on ppc.

rdep networkmanager shows some test errors (bug #764326).

 # cat arping-756946.report 
USE tests started on Sa 6. Mär 19:57:15 CET 2021

FEATURES=' test' USE='' succeeded for =net-analyzer/arping-2.21
USE='-filecaps' succeeded for =net-analyzer/arping-2.21
USE='filecaps' succeeded for =net-analyzer/arping-2.21

revdep tests started on Sa 6. Mär 20:07:50 CET 2021

 FEATURES=' test' failed for net-misc/networkmanager
Comment 6 ernsteiswuerfel archtester 2021-03-09 11:09:10 UTC
Looking good on ppc64.

rdep networkmanager shows some test errors (bug #764326).

 # cat arping-756946.report 
USE tests started on Di 9. Mär 11:59:36 CET 2021

FEATURES=' test' USE='' succeeded for =net-analyzer/arping-2.21
USE='-filecaps' succeeded for =net-analyzer/arping-2.21
USE='filecaps' succeeded for =net-analyzer/arping-2.21

revdep tests started on Di 9. Mär 12:04:10 CET 2021

 FEATURES=' test' failed for net-misc/networkmanager
Comment 7 Sam James archtester gentoo-dev Security 2021-03-09 11:14:09 UTC
(In reply to ernsteiswuerfel from comment #6)
> Looking good on ppc64.
> 
> rdep networkmanager shows some test errors (bug #764326).
> 
>  # cat arping-756946.report 
> USE tests started on Di 9. Mär 11:59:36 CET 2021
> 
> FEATURES=' test' USE='' succeeded for =net-analyzer/arping-2.21
> USE='-filecaps' succeeded for =net-analyzer/arping-2.21
> USE='filecaps' succeeded for =net-analyzer/arping-2.21
> 
> revdep tests started on Di 9. Mär 12:04:10 CET 2021
> 
>  FEATURES=' test' failed for net-misc/networkmanager

ppc, ppc64 stable - thank you!
Comment 8 Andreas Sturmlechner gentoo-dev 2021-04-18 19:16:57 UTC
ping
Comment 9 David Michael 2021-06-16 13:15:40 UTC
This blocks https://github.com/gentoo/gentoo/pull/21239 waiting on EAPI 5 removal.
Comment 10 Sam James archtester gentoo-dev Security 2021-06-16 14:34:17 UTC
amd64 done
Comment 11 Sam James archtester gentoo-dev Security 2021-06-16 14:34:24 UTC
arm done

all arches done
Comment 12 Larry the Git Cow gentoo-dev 2021-06-16 14:35:17 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b721608cdbdc001aacf9676885cd16a3ba6358e5

commit b721608cdbdc001aacf9676885cd16a3ba6358e5
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-06-16 14:35:05 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-06-16 14:35:05 +0000

    net-analyzer/arping: drop 2.17, 2.20
    
    Bug: https://bugs.gentoo.org/756946
    Signed-off-by: Sam James <sam@gentoo.org>

 net-analyzer/arping/Manifest           |  2 --
 net-analyzer/arping/arping-2.17.ebuild | 30 -----------------------------
 net-analyzer/arping/arping-2.20.ebuild | 35 ----------------------------------
 3 files changed, 67 deletions(-)